GCLOUD_DATAFLOW_JOBS_LIST(1)

NAME

gcloud dataflow jobs list - lists all jobs in a particular project

SYNOPSIS

gcloud dataflow jobs list [--created-after=CREATED_AFTER] [--created-before=CREATED_BEFORE] [--status=STATUS] [--filter=EXPRESSION] [--limit=LIMIT; default="100"] [--page-size=PAGE_SIZE; default="20"] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
By default, 100 jobs in the current project are listed; this can be overridden with the gcloud --project flag, and the --limit flag.

FLAGS

    --created-after=CREATED_AFTER
        Filter the jobs to those created after the given time

    --created-before=CREATED_BEFORE
        Filter the jobs to those created before the given time

    --status=STATUS
        Filter the jobs to those with the selected status. STATUS must be one of:

        active
            Filters the jobs that are running ordered on the creation timestamp.

        all Returns running jobs first, ordered on creation timestamp, then, returns all terminated jobs ordered on the termination timestamp.

        terminated
            Filters the jobs that have a terminated state, ordered on the termination timestamp. Example terminated states: Done, Updated, Cancelled, etc.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT; default="100"
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE; default="20"
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
Filter jobs with the given name:
    $ gcloud dataflow jobs list --filter="name=my-wordcount"